
CoCoA-5 - Bug #1356

CoCoA-5 header files: should use a common prefix for CPP variables which enforce read-once

29 Oct 2019 12:20 - John Abbott

Status: Closed Start date: 29 Oct 2019

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Portability Estimated time: 1.11 hour

Target version: CoCoA-5.4.0 Spent time: 1.10 hour

Description

The usual trick to ensure that header files are read only once is to define a CPP variable the first time the header is read; later

attempts to read the header check whether that variable is set.

We use this trick, but we should use a common prefix for the variables used.  In CoCoALib this prefix is CoCoA_.

I suggest using the prefix CoCoA5_ for header files for CoCoA-5.

Related issues:

Related to CoCoALib - Support #1555: Software licence Closed 21 Dec 2020

History

#1 - 09 Jan 2020 11:46 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

Postpone because it is not urgent/important.  It should be a simple change, but I prefer to do it when there is less time pressure.

#2 - 05 Nov 2021 16:47 - John Abbott

This is a reasonable proposal.  Let's do it!

Soon?

#3 - 05 Nov 2021 23:07 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

I have changed all the files.

The only slightly strange one is C5.H where the whole file is inside a #ifdef block -- not sure if I have done the right thing.

All compiles, and all tests pass.

Will check in soon.

#4 - 08 Nov 2021 16:43 - John Abbott

I have reviewed the header files and checked them in.

We need to review also the copyright notices: I have added Abbott & Bigatti (where missing).

The copyright blurb refers to CoCoALib, but that is not strictly correct -- what to do?

#5 - 12 Nov 2021 10:31 - John Abbott

- Related to Support #1555: Software licence added
#6 - 12 Nov 2021 10:45 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 80 to 100

- Estimated time set to 1.11 h
